LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Functions
crc.h File Reference
`#include "sal/config.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Functions
SAL_DLLPUBLIC sal_uInt32 | rtl_crc32 (sal_uInt32 Crc, const void *Data, sal_uInt32 DatLen) SAL_THROW_EXTERN_C()
| Evaluate CRC32 over given data. More...

## Function Documentation

## ◆ rtl_crc32()

SAL_DLLPUBLIC sal_uInt32 rtl_crc32 | ( | sal_uInt32 | Crc,
|  | const void * | Data,
|  | sal_uInt32 | DatLen
| ) |  |

Evaluate CRC32 over given data.

This function evaluates the CRC polynomial 0xEDB88320.

Parameters

  [in] | Crc | CRC32 over previous data or zero.
  [in] | Data | data buffer.
  [in] | DatLen | data buffer length.

Returns
  new CRC32 value.